Timetracking 2 endpoints

PUT /team/{team_id}/time_entries/{timer_id}

Update the details of a time entry.

operationId: TimeTracking_updateTimeEntryDetails

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

timer_id path required number
custom_task_ids query optional boolean

If you want to reference a task by it’s custom task id, this value must be true.

team_id query optional number

Only used when the parameter is set to custom_task_ids=true\
\
For example: custom_task_ids=true&team_id=123

Request Body

required

Accessible tag actions are ["replace", "add", "remove"]

application/json
schema UpdateatimeEntryrequest
Property Type Required
end integer optional
tid string optional
tags array required
name string required
tag_bg string required
tag_fg string required
start integer optional
billable boolean optional
duration integer optional
tag_action string optional
description string optional

Responses

200
PUT /team/{team_id}/time_entries/{timer_id}
GET /team/{team_id}/time_entries/{timer_id}/history

View a list of changes made to a time entry.

operationId: TimeTracking_getTimeEntryHistory

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

timer_id path required string

The ID of a time entry. \
\
This can be found using the Get Time Entries Within a Date Range endpoint.

Responses

200
GET /team/{team_id}/time_entries/{timer_id}/history

Timetracking(legacy) 4 endpoints

GET /task/{task_id}/time

Note: This is a legacy time tracking endpoint. We recommend using the Time Tracking API endpoints to manage time entries.

operationId: TimeTrackingLegacy_getTrackedTime

Parameters

Name In Required Type Description
task_id path required string
custom_task_ids query optional boolean

If you want to reference a task by it’s custom task id, this value must be true.

team_id query optional number

Only used when the custom_task_ids parameter is set to true.\
\
For example: custom_task_ids=true&team_id=123.

Responses

200
GET /task/{task_id}/time
POST /task/{task_id}/time

Note: This is a legacy time tracking endpoint. We recommend using the Time Tracking API endpoints to manage time entries.

operationId: TimeTrackingLegacy_recordTimeForTask

Parameters

Name In Required Type Description
task_id path required string
custom_task_ids query optional boolean

If you want to reference a task by it’s custom task id, this value must be true.

team_id query optional number

Only used when the custom_task_ids parameter is set to true.\
\
For example: custom_task_ids=true&team_id=123.

Request Body

required

Include the total time or the start time and end time.\
\
The total time is in milliseconds and "start" and "end" values are Unix time in milliseconds.

application/json
schema Tracktimerequest
Property Type Required
end integer required
time integer required
start integer required

Responses

200
POST /task/{task_id}/time
DELETE /task/{task_id}/time/{interval_id}

Note: This is a legacy time tracking endpoint. We recommend using the Time Tracking API endpoints to manage time entries.

operationId: TimeTrackingLegacy_removeTrackedTime

Parameters

Name In Required Type Description
task_id path required string
interval_id path required string
custom_task_ids query optional boolean

If you want to reference a task by it’s custom task id, this value must be true.

team_id query optional number

Only used when the custom_task_ids parameter is set to true.\
\
For example: custom_task_ids=true&team_id=123.

Responses

200
DELETE /task/{task_id}/time/{interval_id}
PUT /task/{task_id}/time/{interval_id}

Note: This is a legacy time tracking endpoint. We recommend using the Time Tracking API endpoints to manage time entries.

operationId: TimeTrackingLegacy_editTimeTracked

Parameters

Name In Required Type Description
task_id path required string
interval_id path required string
custom_task_ids query optional boolean

If you want to reference a task by it’s custom task id, this value must be true.

team_id query optional number

Only used when the custom_task_ids parameter is set to true.\
\
For example: custom_task_ids=true&team_id=123.

Request Body

required

Edit the start, end, or total time of a time tracked entry.

application/json
schema Edittimetrackedrequest
Property Type Required
end integer required
time integer required
start integer required

Responses

200
PUT /task/{task_id}/time/{interval_id}

Users 4 endpoints

POST /team/{team_id}/user

Invite someone to join your Workspace as a member. To invite someone as a guest, use the Invite Guest endpoint.\
\
Note: This endpoint is only available to Workspaces on our Enterprise Plan.

operationId: Users_inviteUserToWorkspace

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

Request Body

required
application/json
schema InviteUserToWorkspacerequest
Property Type Required
admin boolean required
email string required
custom_role_id integer optional

Responses

200
POST /team/{team_id}/user
DELETE /team/{team_id}/user/{user_id}

Deactivate a user from a Workspace. \
\
Note: This endpoint is only available to Workspaces on our Enterprise Plan.

operationId: Users_deactivateFromWorkspace

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

user_id path required number

Responses

200
DELETE /team/{team_id}/user/{user_id}
GET /team/{team_id}/user/{user_id}

View information about a user in a Workspace. \
\
Note: This endpoint is only available to Workspaces on our Enterprise Plan.

operationId: Users_getUserDetails

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

user_id path required number

Responses

200
GET /team/{team_id}/user/{user_id}
PUT /team/{team_id}/user/{user_id}

Update a user’s name and role. \
\
Note: This endpoint is only available to Workspaces on our Enterprise Plan.

operationId: Users_updateUserDetails

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

user_id path required number

Request Body

required
application/json
schema EditUserOnWorkspacerequest
Property Type Required
admin boolean required
username string required
custom_role_id integer required

Responses

200
PUT /team/{team_id}/user/{user_id}

Views 12 endpoints

GET /folder/{folder_id}/view

View the task and page views available for a Folder.

operationId: Views_folderViewsGet

Parameters

Name In Required Type Description
folder_id path required number

Responses

200
GET /folder/{folder_id}/view
POST /folder/{folder_id}/view

Add a List, Board, Calendar, Table, Timeline, Workload, Activity, Map, Chat, or Gantt view to a Folder.

operationId: Views_addViewToFolder

Parameters

Name In Required Type Description
folder_id path required number

Request Body

required
application/json
schema CreateFolderViewrequest
Property Type Required
name string required
type string required
divide object required
dir ["null"] optional
field ["null"] optional
collapsed ["boolean"] required
columns object required
fields array required
filters object required
op string required
fields array required
search string required
show_closed boolean required
sorting object required
fields array required
grouping object required
dir integer required
field string required
ignore boolean required
collapsed array required
settings object required
me_comments boolean required
me_subtasks boolean required
show_images boolean required
me_checklists boolean required
show_subtasks integer required
show_assignees boolean required
show_task_locations boolean required
show_closed_subtasks boolean required
collapse_empty_columns ["string", "null"] required
show_subtask_parent_names boolean required
team_sidebar object required
assignees array required
unassigned_tasks boolean required
assigned_comments boolean required

Responses

200
POST /folder/{folder_id}/view
GET /list/{list_id}/view

View the task and page views available for a List.
Views and required views are separate responses.

operationId: Views_getListViews

Parameters

Name In Required Type Description
list_id path required number

Responses

200
GET /list/{list_id}/view
POST /list/{list_id}/view

Add a List, Board, Calendar, Table, Timeline, Workload, Activity, Map, Chat, or Gantt view to a List.

operationId: Views_addViewToList

Parameters

Name In Required Type Description
list_id path required number

Request Body

required
application/json
schema CreateListViewrequest
Property Type Required
name string required
type string required
divide object required
dir ["null"] optional
field ["null"] optional
collapsed ["boolean"] required
columns object required
fields array required
filters object required
op string required
fields array required
search string required
show_closed boolean required
sorting object required
fields array required
grouping object required
dir integer required
field string required
ignore boolean required
collapsed array required
settings object required
me_comments boolean required
me_subtasks boolean required
show_images boolean required
me_checklists boolean required
show_subtasks integer required
show_assignees boolean required
show_task_locations boolean required
show_closed_subtasks boolean required
collapse_empty_columns ["string", "null"] required
show_subtask_parent_names boolean required
team_sidebar object required
assignees array required
unassigned_tasks boolean required
assigned_comments boolean required

Responses

200
POST /list/{list_id}/view
GET /space/{space_id}/view

View the task and page views available for a Space.

operationId: Views_spaceViewsGet

Parameters

Name In Required Type Description
space_id path required number

Responses

200
GET /space/{space_id}/view
POST /space/{space_id}/view

Add a List, Board, Calendar, Table, Timeline, Workload, Activity, Map, Chat, or Gantt view to a Space.

operationId: Views_addViewToSpace

Parameters

Name In Required Type Description
space_id path required number

Request Body

required
application/json
schema CreateSpaceViewrequest
Property Type Required
name string required
type string required
divide object required
dir ["null"] optional
field ["null"] optional
collapsed ["boolean"] required
columns object required
fields array required
filters object required
op string required
fields array required
search string required
show_closed boolean required
sorting object required
fields array required
grouping object required
dir integer required
field string required
ignore boolean required
collapsed array required
settings object required
me_comments boolean required
me_subtasks boolean required
show_images boolean required
me_checklists boolean required
show_subtasks integer required
show_assignees boolean required
show_task_locations boolean required
show_closed_subtasks boolean required
collapse_empty_columns ["string", "null"] required
show_subtask_parent_names boolean required
team_sidebar object required
assignees array required
unassigned_tasks boolean required
assigned_comments boolean required

Responses

200
POST /space/{space_id}/view
GET /team/{team_id}/view

View the task and page views available at the Everything Level of a Workspace.

operationId: Views_getEverythingLevel

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

Responses

200
GET /team/{team_id}/view
POST /team/{team_id}/view

Add a List, Board, Calendar, Table, Timeline, Workload, Activity, Map, Chat, or Gantt view at the Everything Level of a Workspace.

operationId: Views_createWorkspaceViewEverythingLevel

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

Request Body

required
application/json
schema CreateTeamViewrequest
Property Type Required
name string required
type string required
divide object required
dir ["null"] optional
field ["null"] optional
collapsed ["boolean"] required
columns object required
fields array required
filters object required
op string required
fields array required
search string required
show_closed boolean required
sorting object required
fields array required
grouping object required
dir integer required
field string required
ignore boolean required
collapsed array required
settings object required
me_comments boolean required
me_subtasks boolean required
show_images boolean required
me_checklists boolean required
show_subtasks integer required
show_assignees boolean required
show_task_locations boolean required
show_closed_subtasks boolean required
collapse_empty_columns ["string", "null"] required
show_subtask_parent_names boolean required
team_sidebar object required
assignees array required
unassigned_tasks boolean required
assigned_comments boolean required

Responses

200
POST /team/{team_id}/view
DELETE /view/{view_id}
operationId: Views_deleteViewById

Parameters

Name In Required Type Description
view_id path required string

105 (string)

Responses

200
DELETE /view/{view_id}
GET /view/{view_id}

View information about a specific task or page view.

operationId: Views_getViewInfo

Parameters

Name In Required Type Description
view_id path required string

Responses

200
GET /view/{view_id}
PUT /view/{view_id}

Rename a view, update the grouping, sorting, filters, columns, and settings of a view.

operationId: Views_updateViewDetails

Parameters

Name In Required Type Description
view_id path required string

Request Body

required
application/json
schema UpdateViewrequest
Property Type Required
name string required
type string required
divide object required
dir ["null"] optional
field ["null"] optional
collapsed ["boolean"] required
parent object required
id string required
type integer required
columns object required
fields array required
filters object required
op string required
fields array required
search string required
show_closed boolean required
sorting object required
fields array required
grouping object required
dir integer required
field string required
ignore boolean required
collapsed array required
settings object required
me_comments boolean required
me_subtasks boolean required
show_images boolean required
me_checklists boolean required
show_subtasks integer required
show_assignees boolean required
show_task_locations boolean required
show_closed_subtasks boolean required
collapse_empty_columns ["string", "null"] required
show_subtask_parent_names boolean required
team_sidebar object required
assignees array required
unassigned_tasks boolean required
assigned_comments boolean required

Responses

200
PUT /view/{view_id}
GET /view/{view_id}/task

See all visible tasks in a view in ClickUp.

operationId: Views_getTasksInView

Parameters

Name In Required Type Description
view_id path required string

105 (string)

page query required integer

Responses

200
GET /view/{view_id}/task

Webhooks 4 endpoints

GET /team/{team_id}/webhook

View the webhooks created via the API for a Workspace. This endpoint returns webhooks created by the authenticated user.

operationId: Webhooks_workspaceGet

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

Responses

200
GET /team/{team_id}/webhook
POST /team/{team_id}/webhook

Set up a webhook to monitor for events.
We do not have a dedicated IP address for webhooks. We use our domain name and dynamic addressing.

operationId: Webhooks_createWebhook

Parameters

Name In Required Type Description
team_id path required number

Team ID (Workspace)

Request Body

required

You can subscribe to specific events, and one specific location per webhook. Learn more.

application/json
schema CreateWebhookrequest
Property Type Required
events array required
list_id integer optional
task_id string optional
endpoint string required
space_id integer optional
folder_id integer optional

Responses

200
POST /team/{team_id}/webhook
DELETE /webhook/{webhook_id}

Delete a webhook to stop monitoring the events and locations of the webhook.

operationId: Webhooks_removeWebhookById

Parameters

Name In Required Type Description
webhook_id path required string

e506-4a29-9d42-26e504e3435e (uuid)

Responses

200
DELETE /webhook/{webhook_id}
PUT /webhook/{webhook_id}

Update a webhook to change the events to be monitored.

operationId: Webhooks_updateEventsToMonitor

Parameters

Name In Required Type Description
webhook_id path required string

e506-4a29-9d42-26e504e3435e (uuid)

Request Body

required

To subscribe to specific events, pass an array of events that you want to subscribe to, or use the wildcard character "*" to subscribe to everything.\
\
If you don’t specify any events, all events will be sent to the webhook.

application/json
schema UpdateWebhookrequest
Property Type Required
events string required
status string required
endpoint string required

Responses

200
PUT /webhook/{webhook_id}